Bug 60435 - The DataGridViewRow.CreateCellsInstance method is never invoked
Summary: The DataGridViewRow.CreateCellsInstance method is never invoked
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: Windows.Forms (show other bugs)
Version: master
Hardware: All All
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-10-30 14:36 UTC by Yuriy Grigorchuk
Modified: 2017-11-03 19:54 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Yuriy Grigorchuk 2017-10-30 14:36:27 UTC
There is no call to the protected virtual method DataGridViewRow.CreateCellsInstance. According to the documentation (https://msdn.microsoft.com/en-us//library/system.windows.forms.datagridviewrow.createcellsinstance(v=vs.110).aspx), this method should be called by class DataGridViewRow to create an empty System.Windows.Forms.DataGridViewCellCollection.
Comment 1 Alexander Köplinger [MSFT] 2017-11-03 19:54:09 UTC
The PR https://github.com/mono/mono/pull/5921 was merged, thank you :)